Bug 590190 (CVE-2010-1621) - CVE-2010-1621 MySQL UNINSTALL PLUGIN requires no privileges
Summary: CVE-2010-1621 MySQL UNINSTALL PLUGIN requires no privileges
Status: CLOSED ERRATA
Alias: CVE-2010-1621
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100305,reported=20100507,sou...
Keywords: Security
Depends On: 590598
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-08 01:11 UTC by Josh Bressers
Modified: 2010-08-20 15:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-14 06:55:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2010-05-08 01:11:49 UTC
UNINSTALL PLUGIN, looking in the mysql_uninstall_plugin() function shows
that there is no code at all for checking required privileges. This means
that ANY user, even a user with no privileges, can uninstall ANY plugin.
(At least plugins that are loaded dynamically.)

http://bugs.mysql.com/bug.php?id=51770

Comment 1 Tomas Hoger 2010-05-10 08:17:52 UTC
Upstream commit:
http://bazaar.launchpad.net/~mysql/mysql-server/mysql-5.1-bugteam/revision/3351.1.45

Fixed upstream in 5.1.46:
http://dev.mysql.com/doc/refman/5.1/en/news-5-1-46.html

This issue does not affect mysql packages version in Red Hat Enterprise Linux 3, 4 and 5, as they don't support plugins.

Comment 4 Fedora Update System 2010-05-10 09:49:08 UTC
mysql-5.1.46-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mysql-5.1.46-1.fc11

Comment 5 Fedora Update System 2010-05-10 09:49:55 UTC
mysql-5.1.46-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mysql-5.1.46-1.fc12

Comment 6 Fedora Update System 2010-05-10 09:50:01 UTC
mysql-5.1.46-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mysql-5.1.46-1.fc13

Comment 8 Fedora Update System 2010-05-13 19:25:06 UTC
mysql-5.1.46-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-05-13 19:27:04 UTC
mysql-5.1.46-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-05-13 19:32:16 UTC
mysql-5.1.46-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Tomas Hoger 2010-05-14 06:55:32 UTC
Statement:

Not vulnerable. These issues did not affect the versions of mysql as shipped with Red Hat Enterprise Linux 3, 4, or 5.


Note You need to log in before you can comment on or make changes to this bug.